Class | RSS::Rss::Channel::Item::Enclosure
In: | rss/0.9.rb
Parent: | Element

### Methods

new to_s

### Included Modules

RSS09

### Public Class methods

new(url=nil, length=nil, type=nil)

[Source]

    # File rss/0.9.rb, line 537
              def initialize(url=nil, length=nil, type=nil)
                super()
                @url = url
                @length = length
                @type = type
              end

### Public Instance methods

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/0.9.rb, line 544
              def to_s(need_convert=true, indent=calc_indent)
                rv = tag(indent)
                rv = convert(rv) if need_convert
                rv
              end

[Validate]